| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GslErrorPrint Class Reference

`#include <GslErrorPrint.h>`

Inheritance diagram for GslErrorPrint:

[legend]
Collaboration diagram for GslErrorPrint:

[legend]
List of all members.

## Detailed Description

Concrete GSL eror handler It is just prints the GSL errors.

Author:
  Vanya Belyaev Ivan.Belyaev@itep.ru

Date:
  30/04/2002

Definition at line 24 of file GslErrorPrint.h.

## Public Member Functions
virtual StatusCode | handle (const GslError &error) const
| handle the GSL error
| GslErrorPrint (const std::string &type, const std::string &name, const IInterface *parent)
| Standard constructor.
virtual | ~GslErrorPrint ()
| destructor (protected and virtual)

## Constructor & Destructor Documentation

GslErrorPrint::GslErrorPrint | ( | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent |
| ) |  |  |

Standard constructor.

Parameters:

  | type | tool type (?)
  | name | tool name
  | parent | pointer to parent

Definition at line 41 of file GslErrorPrint.cpp.

    00044   : AlgTool ( type, name , parent )
    00045 { declareInterface<IGslErrorHandler> (this);};

GslErrorPrint::~GslErrorPrint | ( |  | ) | `[virtual]`

destructor (protected and virtual)

Definition at line 51 of file GslErrorPrint.cpp.

    00051 {};

## Member Function Documentation

StatusCode GslErrorPrint::handle | ( | const GslError & | error | ) | const`[virtual]`

handle the GSL error

See also:
  IGslErrorHandler

Parameters:

  | error | error to be handled

See also:
  GslError

Returns:
  status code

Implements IGslErrorHandler.

Definition at line 63 of file GslErrorPrint.cpp.

References GslError::code, endreq(), MSG::ERROR, GslError::file, GslError::line, name, GslError::reason, and StatusCode::SUCCESS.

    00064 {
    00065   MsgStream log( msgSvc() , name() );
    00066   log << MSG::ERROR
    00067       << " GSL code " << error.code
    00068       << " Message '" << error.reason << "'"
    00069       << " File '"    << error.file   << "'"
    00070       << " Line "     << error.line   << endreq ;
    00071   //
    00072   return StatusCode::SUCCESS ;
    00073 };

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Components/GslErrorPrint.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Components/GslErrorPrint.cpp